<?php
	// Example : sonos_framework.php?action=stop&room=salon

	// Use DEBUG = true IF YOU WANT TO SEE THE LOG
	$DEBUG = true;
	include ('sonos.php');

    $action 	= $_GET['action'];
    $room 		= $_GET['room'];
    $volume 	= $_GET['volume'];
    
    if(empty($action)){
    	echo 'NO ACTION SPECIFIED. PLEASE USE action PARAMETER<br />';
    	exit;
    }
    if(empty($room)){
    	echo 'NO ROOM SPECIFIED. PLEASE USE room PARAMETER<br />';
    	exit;
    }
    if(is_null($IP_TABLE['sonos_'.$room])){
    	echo 'ROOM DOES NOT MATCH AN IP SONOS. PLEASE CHECK THE IP_TABLE array.<br />';
    	exit;
    }
    if(is_null($PORT_TABLE['sonos_'.$room])){
    	echo 'ROOM DOES NOT MATCH A PORT SONOS. PLEASE CHECK THE PORT_TABLE array.<br />';
    	exit;
    }

    switch ($action) {
	    case "play" : 
	    	playSonos($room);
	    	break;
	    case "pause" : 
	    	pauseSonos($room);
	    	break;
	    case "next" : 
	    	nextSonos($room);
	    	break;
	    case "previous" : 
	    	previousSonos($room);
	    	break;
	    case "stop" : 
	    	stopSonos($room);
	    	break;
	    case "volume" : 
	    	volumeSonos($volume,$room);
	    	break;
	    default: 
	    	echo 'NO PARAMETERS FOUND';
	    	break;
    }

?>